/*

	The following procs have been depreciated.
	They are included for legacy applications.

*/

grid2d_Grid

	//==========================================================================
	proc
		//----------------------------------------------------------------------
		//	Returns a copy of the grid.  (There's a copy constructor so this is redundant.)
		grid2d_Copy()
			return new src.type (src)

		//----------------------------------------------------------------------
		//	Returns the horizontal coordinate of the grid cell which is NumSteps
		//	in direction Dir from the coordinates X,Y.  If the input is out of
		//	bounds or otherwise invalid then the result will be 0.  If BoundsWrap
		//	is positive, the result will wrap around the edge if necessary.  If
		//	BoundsWrap is 0, out of bounds results will be returned raw.  If
		//	BoundsWrap is negative, out of bounds results will be returned as 0.
		grid2d_GetStepX(Dir,X,Y,NumSteps=1,BoundsWrap=-1)
			if (!isnum(Dir) || !isnum(X) || !isnum(Y) || !isnum(NumSteps) || !isnum(BoundsWrap))	return 0
			if ( (Dir==EAST) || (Dir==NORTHEAST) || (Dir==SOUTHEAST) )			X	+= NumSteps
			else if ( (Dir==WEST) || (Dir==NORTHWEST) || (Dir==SOUTHWEST) )		X	-= NumSteps
			if ( (BoundsWrap<0) && ((X<1) || (X>src.grid2d_GetMaxX())) )		X	= 0
			else if (BoundsWrap>0)												X	= src.grid2d_GetWrapX(X)
			return X

		//----------------------------------------------------------------------
		//	Returns the vertical coordinate of the grid cell which is NumSteps
		//	in direction Dir from the coordinates X,Y.  If the input is out of
		//	bounds or otherwise invalid then the result will be 0.  If BoundsWrap
		//	is positive, the result will wrap around the edge if necessary.  If
		//	BoundsWrap is 0, out of bounds results will be returned raw.  If
		//	BoundsWrap is negative, out of bounds results will be returned as 0.
		grid2d_GetStepY(Dir,X,Y,NumSteps=1,BoundsWrap=-1)
			if (!isnum(Dir) || !isnum(X) || !isnum(Y) || !isnum(NumSteps) || !isnum(BoundsWrap))	return 0
			if ( (Dir==NORTH) || (Dir==NORTHEAST) || (Dir==NORTHWEST) )			Y	+= NumSteps
			else if ( (Dir==SOUTH) || (Dir==SOUTHEAST) || (Dir==SOUTHWEST) )	Y	-= NumSteps
			if ( (BoundsWrap<0) && ((Y<1) || (Y>src.grid2d_GetMaxY())) )		Y	= 0
			else if (BoundsWrap>0)												Y	= src.grid2d_GetWrapY(Y)
			return Y
