/*
////////////////////////////////////////////////////////////////////////////////
April 10, 2012

	Improved:	grid2d_SetNeighborDirs() now accepts multiple directions as
				arguments.  A single list of directions is still valid.

	Added:	grid2d_GetNthX()
	Added:	grid2d_GetNthY()

////////////////////////////////////////////////////////////////////////////////
March 23, 2012

	Fixed:	The readMe file made claims on which coordinates are found when
			setting JustOnce to true in a call to grid2d_GetMatchingItemXYs().

////////////////////////////////////////////////////////////////////////////////
March 21, 2012

	Fixed:	The size of a non-diagonal grid returned by grid2d_GetFlipGrid()
			was MaxYxMaxY rather than MaxXxMaxY.

////////////////////////////////////////////////////////////////////////////////
March 15, 2012

	Added:	grid2d_GetItemsMatchedByXY()
	Added:	grid2d_GetMatchingItemXYs()
	Added:	grid2d_XYItemsAllMatch()
	Added:	grid2d_ShiftPath()

	Improved:	grid2d_Reset() now accepts a grid2d_Grid as its argument and has
				return values.

	Fixed:	grid2d_ShiftDir() did not result in a continuous line movement for
			amounts other than 1.
	Fixed:	Multiples of the grid dimensions could return invalid wrap values.

////////////////////////////////////////////////////////////////////////////////
March 12, 2012

	Added:	grid2d_ShiftDir()

	Improved:	Child types should no longer have to overwrite grid2d_Copy()
				when changing grid2d_CopyIntoSelf().  More importantly, I'm
				going to shove grid2d_Copy() into the legacy file.  It should
				be safe to use, but it's redundant now that New() can act as a
				copy constructor and I'd rather encourage the latter.

////////////////////////////////////////////////////////////////////////////////
March 11, 2012 (when I should be sleeping)

	Added:	grid2d_IsNeighborDir()

////////////////////////////////////////////////////////////////////////////////
March 11, 2012 (when I had the urge to edit a parent to write a child)

	Fixed:	grid2d_GetWrapX() and grid2d_GetWrapY() returned out of bounds values
			when the input was negative.

	Added:	grid2d_Shift()

////////////////////////////////////////////////////////////////////////////////
February 11, 2012

	While still available, the GetStep procs are now considered depreciated
	and replaced with:
	Added:	grid2d_GetXInDir()
	Added:	grid2d_GetYInDir()

	Wrapping can now be handled internally.
	Added:	grid2d_DoesWrapX()
	Added:	grid2d_DoesWrapY()
	Added:	grid2d_SetWrap()

	New() becomes a copy constructor if given a grid2d_Grid as its Width argument.
	Added:	grid2d_CopyIntoSelf()

	Fixed:	Neighbor directions were not correctly copied.

////////////////////////////////////////////////////////////////////////////////
February 9, 2012

	Those who need a formal license can now use
		Creative Commons Attribution 3.0 Unported (CC BY 3.0)

	Added: grid2d_AreNeighbors()
	Added: grid2d_GetNeighbors()
	Added: grid2d_GetNeighborDirs()
	Added: grid2d_SetNeighborDirs()

	Added: grid2d_BitsToDirBitList()
	Added: grid2d_BitsToDirList()
	Added: grid2d_DirBitToDir()
	Added: grid2d_DirBitToText()
	Added: grid2d_DirToText()
	Added: grid2d_DirToDirBit()
	Added: grid2d_GetNumDirBits()

	Added: grid2d_GetNeighborIndices()
	Added: grid2d_HasIndex()

////////////////////////////////////////////////////////////////////////////////
February 5, 2012

	Added:	The GetStep procs now accept arguments for the quantity of steps
			and how to handle out of bounds results.
	Added:	grid2d_Swap()

	Improved(?):	grid2d_Reset() no longer performs a loop fill when
					DefaultValue is null.

////////////////////////////////////////////////////////////////////////////////
March 31, 2011 (later)

	Fixed: Demo files should no longer be shoved into what uses this library.

////////////////////////////////////////////////////////////////////////////////
March 31, 2011

	Added: grid2d_Reset(Width=1,Height=1,DefaultValue=null)
		Sets the grid dimensions to Width by Height and makes DefaultValue the
		item stored in every cell.

	Added: grid2d_GetNumOccurances(Item)
		Returns the number of times Item is stored in the grid.

	Added:	grid2d_Replace(OldItem,Replacement)
		This puts Replacement wherever OldItem is stored and returns the
		number of times it happens

	Added: Another internal storage function in index.dm.  My own libraries will
		take advantage of it.  Others are welcome, but it seemed too low level
		to bother with in _readMe.dm.

////////////////////////////////////////////////////////////////////////////////
*/